com.google.gwt.editor.client.adapters

## Class TakesValueEditor<T>

- java.lang.Object
- - com.google.gwt.editor.client.adapters.TakesValueEditor<T>

Type Parameters:
  `T` - the type of value to be edited

All Implemented Interfaces:
  Editor<T>, LeafValueEditor<T>, TakesValue<T>

Direct Known Subclasses:
  ValueBoxEditor

    public class TakesValueEditor<T>
    extends java.lang.Object
    implements LeafValueEditor<T>

Adapts the `TakesValue` interface to the Editor framework.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.gwt.editor.client.Editor

`Editor.Ignore, Editor.Path`

### Constructor Summary

Constructors
`protected` `TakesValueEditor(TakesValue<T> peer)` Returns a new ValueEditor that modifies the given `TakesValue` peer instance.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`T` `getValue()` Returns the current value.
`static <T> TakesValueEditor<T>` `of(TakesValue<T> peer)` Returns a new ValueEditor that modifies the given `TakesValue` peer instance.
`void` `setValue(T value)` Sets the value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TakesValueEditor

    protected TakesValueEditor(TakesValue<T> peer)

Returns a new ValueEditor that modifies the given `TakesValue` peer instance.

Parameters:
  `peer` - a `TakesValue` instance

### Method Detail

#### of

    public static <T> TakesValueEditor<T> of(TakesValue<T> peer)

Returns a new ValueEditor that modifies the given `TakesValue` peer instance.

Parameters:
  `peer` - a `TakesValue` instance
Returns:
  a TakesValueEditor instance of the same type as its peer

#### getValue

    public T getValue()

Description copied from interface: `TakesValue`
Returns the current value.

Specified by:
  `getValue` in interface `TakesValue<T>`
Returns:
  the value as an object of type V
See Also:
  `TakesValue.setValue(V)`

#### setValue

    public void setValue(T value)

Description copied from interface: `TakesValue`
Sets the value.

Specified by:
  `setValue` in interface `TakesValue<T>`
Parameters:
  `value` - a value object of type V
See Also:
  `TakesValue.getValue()`